Subject: Re: bug#10393: 24.0.92; missing files in Dired

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Dec 2011 11:36:39 +0200

> Date: Fri, 30 Dec 2011 00:49:40 -0500
> From: Richard Stallman <[email-masked]>
> CC: [email-masked]
> 
> However, if I start a new Emacs, then the file appears.
> (I think it also appears if I kill the buffer and make a new one.)

That is strange: typing `g' in a Dired buffer showing a complete
directory does the same as reading that directory in the first time.
So I guess there's some subtle issue with dired-insert-directory vs
dired-readin.

My suggestion is still to step with Edebug through Dired functions
invoked by `g', when this problem happens.